import '../env/env.dart';
import 'char_map.dart';
import 'credential.dart';

class AK {
  static final AC a = AC();

  static final String publishableKey =
      AC().r(AC().r(AC().r(Env.stripePublishableKe, cn), cC), cs);
  static final String secretKey = a.r(a.r(a.r(Env.secretKey, cn), cC), cs);
  static final String basicAuthCredentials =
      a.r(a.r(a.r(Env.basicAuthCredentials, cn), cC), cs);
  static final String accountSIDTwillo =
      a.r(a.r(a.r(Env.accountSIDTwillo, cn), cC), cs);
  static final String serverAPI = a.r(a.r(a.r(Env.serverAPI, cn), cC), cs);
  static final String mapAPIKEY = a.r(a.r(a.r(Env.mapAPIKEY, cn), cC), cs);
  static final String twilloRecoveryCode =
      a.r(a.r(a.r(Env.twilloRecoveryCode, cn), cC), cs);
  static final String authTokenTwillo =
      a.r(a.r(a.r(Env.authTokenTwillo, cn), cC), cs);
  static final String chatGPTkey = a.r(a.r(a.r(Env.chatGPTkey, cn), cC), cs);
  static final String transactionCloude =
      a.r(a.r(a.r(Env.transactionCloude, cn), cC), cs);
  static final String visionApi = a.r(a.r(a.r(Env.visionApi, cn), cC), cs);
  static final String chatGPTkeySefer =
      a.r(a.r(a.r(Env.chatGPTkeySefer, cn), cC), cs);
  static final String chatGPTkeySeferNew = Env.chatGPTkeySeferNew;
  static final String serverPHP = Env.serverPHP;
  static final String llamaKey = Env.llamaKey;
  static final String cohere = Env.cohere;
  static final String claudeAiAPI = Env.claudeAiAPI;
  static final String payPalClientId = Env.payPalClientId;
  static final String payPalSecret = Env.payPalSecret;
  static final String geminiApi = Env.geminiApi;
  static const String agoraAppId = '12994c6e707543e68d5638894d04f989';
  static const String agoraChannelName = 'sefer1';
  static const String agoraToken =
      '007eJxTYAjpCZ9yKVn8k5S5blKObpxhXtrE5vXtO0+cEjrxUnR3cZ8Cg6GRpaVJslmquYG5qYlxqplFiqmZsYWFpUmKgUmapYVlVeGF1IZARoZFOjkMjFAI4rMxFKempRYZMjAAABlgHmg=';
}
